# eric7.Plugins.VcsPlugins.vcsMercurial.HgExportDialog

Module implementing a dialog to enter data for the Mercurial export command.

### Global Attributes

None

### Classes

HgExportDialog | Class implementing a dialog to enter data for the Mercurial export command.

### Functions

None

## HgExportDialog

Class implementing a dialog to enter data for the Mercurial export command.

### Derived from

QDialog, Ui_HgExportDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgExportDialog | Constructor
__updateOK | Private slot to update the OK button.
getParameters | Public method to retrieve the export data.
on_changesetsEdit_textChanged | Private slot to react on changes of the changesets edit.
on_directoryPicker_textChanged | Private slot to react on changes of the export directory edit.
on_patternEdit_textChanged | Private slot to react on changes of the export file name pattern edit.

### Static Methods

None

#### HgExportDialog (Constructor)

HgExportDialog(bookmarksList, bookmarkAvailable, parent=None)

Constructor

bookmarksList (list of str)
  list of defined bookmarks
bookmarkAvailable (bool)
  flag indicating the availability of the "--bookmark" option
parent (QWidget)
  reference to the parent widget

#### HgExportDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgExportDialog.getParameters

getParameters()

Public method to retrieve the export data.

Return:
  tuple naming the output file name, the list of revisions to export, the name of a bookmarked branch and flags indicating to compare against the second parent, to treat all files as text, to omit dates in the diff headers and to use the git extended diff format

Return Type:
  tuple of (str, list of str, str, bool, bool, bool, bool)

#### HgExportDialog.on_changesetsEdit_textChanged

on_changesetsEdit_textChanged()

Private slot to react on changes of the changesets edit.

#### HgExportDialog.on_directoryPicker_textChanged

on_directoryPicker_textChanged(txt)

Private slot to react on changes of the export directory edit.

txt
  contents of the line edit (string)

#### HgExportDialog.on_patternEdit_textChanged

on_patternEdit_textChanged(txt)

Private slot to react on changes of the export file name pattern edit.

txt
  contents of the line edit (string)

Up